import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, p = c.length - 1, i; p >= 0; p--)
    (i = c[p]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && g(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--noteLarge", this.class = "c-pieIcon c-pieIcon--noteLarge", this.name = "IconNoteLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--noteLarge"><path d="M22.125 23H3.75v1.75h18.375V23Z"></path><path d="M28.25 7.25H3.75V9h24.5V7.25Z"></path><path d="M28.25 15.125H3.75v1.75h24.5v-1.75Z"></path></svg>`;
  }
};
n([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  f("icon-note-large")
], o);
export {
  o as IconNoteLarge
};
